Get all orders.
curl --request GET \
--url https://{environment}.garden.finance/v2/orders \
--header 'garden-app-id: <api-key>'import requests
url = "https://{environment}.garden.finance/v2/orders"
headers = {"garden-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'garden-app-id': '<api-key>'}};
fetch('https://{environment}.garden.finance/v2/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Ok",
"error": "<string>",
"result": {
"data": [
{
"order_id": "<string>",
"created_at": "<string>",
"source_swap": {
"created_at": "<string>",
"swap_id": "<string>",
"chain": "arbitrum",
"asset": "arbitrum:wbtc",
"initiator": "<string>",
"redeemer": "<string>",
"delegate": "<string>",
"timelock": 123,
"filled_amount": "<string>",
"asset_price": 123,
"amount": "<string>",
"secret_hash": "<string>",
"secret": "<string>",
"instant_refund_tx": "<string>",
"initiate_tx_hash": "<string>",
"redeem_tx_hash": "<string>",
"refund_tx_hash": "<string>",
"initiate_block_number": "<string>",
"redeem_block_number": "<string>",
"refund_block_number": "<string>",
"required_confirmations": 123,
"current_confirmations": 123,
"initiate_timestamp": "<string>",
"redeem_timestamp": "<string>",
"refund_timestamp": "<string>"
},
"destination_swap": {
"created_at": "<string>",
"swap_id": "<string>",
"chain": "arbitrum",
"asset": "arbitrum:wbtc",
"initiator": "<string>",
"redeemer": "<string>",
"delegate": "<string>",
"timelock": 123,
"filled_amount": "<string>",
"asset_price": 123,
"amount": "<string>",
"secret_hash": "<string>",
"secret": "<string>",
"instant_refund_tx": "<string>",
"initiate_tx_hash": "<string>",
"redeem_tx_hash": "<string>",
"refund_tx_hash": "<string>",
"initiate_block_number": "<string>",
"redeem_block_number": "<string>",
"refund_block_number": "<string>",
"required_confirmations": 123,
"current_confirmations": 123,
"initiate_timestamp": "<string>",
"redeem_timestamp": "<string>",
"refund_timestamp": "<string>"
},
"nonce": "<string>",
"deadline": 123,
"affiliate_fees": [
{
"address": "<string>",
"asset": "arbitrum:usdc",
"fee": 10
}
],
"integrator": "<string>",
"version": "<string>",
"solver_id": "<string>"
}
],
"page": 123,
"total_pages": 123,
"total_items": 123,
"per_page": 123
}
}Orders
Orders
GET
/
orders
Get all orders.
Retrieve a list of orders with optional filtering and pagination.
Authorizations
Query Parameters
(Optional) Filter orders by an address.
(Optional) Filter orders by a transaction hash.
(Optional) Filter orders by the source chain. Mainnet
Available options:
arbitrum, ethereum, bitcoin, base, bnbchain, botanix, citrea, hyperevm, litecoin, monad, solana, starknet, tron (Optional) Filter orders by the destination chain. Mainnet
Available options:
arbitrum, ethereum, bitcoin, base, bnbchain, botanix, citrea, hyperevm, litecoin, monad, solana, starknet, tron (Optional) Filter orders by the source owner. Comma-separated for multiple values.
(Optional) Filter orders by the destination owner. Comma-separated for multiple values.
(Optional) Filter orders by a solver ID. Comma-separated for multiple values.
(Optional) Filter orders by an integrator. Comma-separated for multiple values.
(Optional) Page number.
(Optional) Number of items per page.
(Optional) Filter orders by status. Comma-separated string with allowed values: not-initiated, in-progress, completed, expired, refunded.
Was this page helpful?